package com.steering.mes.zgmil.entity;




/**
 * 数据库表MIL_CHECK_DEATIL所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-12-30
 */
public class MilCheckDeatilEntity {
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 炉号
     */
    private String judgeStoveNo;
    /**
     * 缺陷项名称
     */
    private String defectItem;
    /**
     * 废品支
     */
    private String wasteBranch;
    /**
     * 废品吨
     */
    private String wasteTons;
    /**
     * 下线支
     */
    private String offlineProduct;
    /**
     * 缺陷项代码
     */
    private String defectCode;
    
    /**
     * 性能批号
     */
    private String simpleLotNo;
    
    public String getSimpleLotNo() {
		return simpleLotNo;
	}

	public void setSimpleLotNo(String simpleLotNo) {
		this.simpleLotNo = simpleLotNo;
	}

	/**
     * 抽检类型
     */
    private String flag;


    public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public MilCheckDeatilEntity(){
        resultNo = "";
        simpleLotNo = "";
        judgeStoveNo = "";
        defectItem = "";
        wasteBranch = "";
        wasteTons = "";
        offlineProduct = "";
        defectCode = "";
        flag = "";
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 缺陷项名称
     * @return value
     */
    public String getDefectItem() {
        return defectItem;
    }

    /**
     * 缺陷项名称
     * @param defectItem value
     */
    public void setDefectItem(String defectItem) {
        this.defectItem = defectItem;
    }

    /**
     * 废品支
     * @return value
     */
    public String getWasteBranch() {
        return wasteBranch;
    }

    /**
     * 废品支
     * @param wasteBranch value
     */
    public void setWasteBranch(String wasteBranch) {
        this.wasteBranch = wasteBranch;
    }

    /**
     * 废品吨
     * @return value
     */
    public String getWasteTons() {
        return wasteTons;
    }

    /**
     * 废品吨
     * @param wasteTons value
     */
    public void setWasteTons(String wasteTons) {
        this.wasteTons = wasteTons;
    }

    /**
     * 下线支
     * @return value
     */
    public String getOfflineProduct() {
        return offlineProduct;
    }

    /**
     * 下线支
     * @param offlineProduct value
     */
    public void setOfflineProduct(String offlineProduct) {
        this.offlineProduct = offlineProduct;
    }

    /**
     * 缺陷项代码
     * @return value
     */
    public String getDefectCode() {
        return defectCode;
    }

    /**
     * 缺陷项代码
     * @param defectCode value
     */
    public void setDefectCode(String defectCode) {
        this.defectCode = defectCode;
    }
}
